﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace RobotCtrl
{
    class DigitalOut_HW : DigitalOut
    {
        private int ioPort;

        public DigitalOut_HW(int ioPort)
        {
            this.ioPort = ioPort;
        }

        public override int Data
        {
            set
            {
                data = value;
                IOPort.Write(ioPort, value);
            }
        }

        public override bool this[int bitIndex]
        {
            set
            {
                base[bitIndex] = value;
                IOPort.Write(ioPort, data);
            }
        }
    }
}
